Cannot connect to servers

A Forum Thread for Crysis

Hey, you! We are one of the oldest mod sites on the Interwebs. Sign up and maximize your browsing experience.

  • Subscribe: Get notified of new submissions like this.
  • Say Thanks: Show your appreciation by sending battlemech7 points.
  • Post: Give battlemech7 your thoughts on this Thread.
  • Flag: Alert moderators and warn members of a problem with this Thread.
  • Watch: Get notified when this Thread is updated.
Mascot

Join the community!

Sign up

Already a Bananite? Login

Hey guys, ive been trying everything, I cannot connect to any crysis servers. IT that bloody version mismatch crap. If patched it to 1.2 (in game the version says like 1.1.6115......) still doesnt work. So I googled it found out I should update my punk buster and enable and all that. I enabled my punk buster and then updated it. Still same version and same error. I also tried to re-enter my cd code.. still same error. My version is the collectors special edition, with the free multiplayer vehicle that you cant unlock cuase crytek are assholes and its not even real. So in other words I bought it from eb games its legit not stolen no cracks nothing just installed and ran it perfetly fine, just cant connect to multiplayer games... I can make my own multiplayer and others can join but cant join games in progess...... wtf?

Posts

  • 9y
    Likon avatar
    Likon Offline
    Member Joined 9y
    4,617 points Ranked 994th
    9 medals 1 rare
    • 6 years a member Medal icon
    • Reached 1,000 Points Medal icon
    • Reached 2,500 Points Medal icon
    • 1 post awarded Exemplary Feedback Medal icon
    • One month a member Medal icon
    • 6 months a member Medal icon
    There is some box that u need to check on the options to activate punkbuster in game, if u dont have that checked it wont connect to protected servers
    also, im not sure if the 1.2 is the latest version, you should check www.crymod.com for that
      avatar
    Mantra
  • 9y
    Haxorfox avatar
    Haxorfox avatar Offline
    Member Joined 10y
    11,080 points Ranked 386th
    13 medals 1 rare
    • 6 years a member Medal icon
    • Became a Club Leader Medal icon
    • Reached 1,000 Points Medal icon
    • Reached 2,500 Points Medal icon
    • Reached 7,500 Points Medal icon
    • 1 post awarded Exemplary Feedback Medal icon
    Posted by Likon

    There is some box that u need to check on the options to activate punkbuster in game, if u dont have that checked it wont connect to protected servers
    also, im not sure if the 1.2 is the latest version, you should check www.crymod.com for that


    ...I should update my punk buster and enable and all that. I enabled my punk buster and then updated it...
    Greetings avatar
    Mantra
    Greetings
  • 9y
    codybiroth avatar
    codybiroth Offline
    Member Joined 10y
    5,095 points Ranked 916th
    8 medals 1 rare
    • 6 years a member Medal icon
    • Reached 1,000 Points Medal icon
    • Reached 2,500 Points Medal icon
    • One month a member Medal icon
    • 6 months a member Medal icon
    • 1 year a member Medal icon
    Well, Crysis is on 1.2.1, maybe thats your problem?
    Destroy What Destroys You. avatar
    Mantra
    Destroy What Destroys You.
  • 9y
    Spiderbloke avatar
    Member Joined 9y
    653 points Ranked 6959th
    Cody hit the nail on the head. Need to update your game. Some servers are still running 1.2 (last time I looked anyway) but most of them have updated.
    Bananite
  • 9y
    battlemech7 avatar
    Member Joined 11y
    38,191 points Ranked 105th
    10 medals 1 rare
    • 6 years a member Medal icon
    • Reached 1,000 Points Medal icon
    • Reached 2,500 Points Medal icon
    • Reached 7,500 Points Medal icon
    • Reached 25,000 Points Medal icon
    • One month a member Medal icon
    I have updated my game, I said ive run the punk buster update as well. It wont let me connect to crap all.
    Proud Supervisor of WoW avatar
    Mantra
    Proud Supervisor of WoW
  • 9y
    Spiderbloke avatar
    Member Joined 9y
    653 points Ranked 6959th
    Well you told us in your post you updated to 1.2. Crysis is now 1.2.1.

    Trust me, I had the same problem as you, then I found out they'd sneakly patched it to 1.2.1, That got nearly all the servers working.
    Bananite

Share

Shareable Image:
Share banner
HTML embed code:
BB embed code:
Markdown embed code:

More embeddable images

Bookmark and Share

Submitter

battlemech7 avatar
Member Joined 11y
38,191 points Ranked 105th
10 medals 1 rare
  • 6 years a member Medal icon
  • Reached 1,000 Points Medal icon
  • Reached 2,500 Points Medal icon
  • Reached 7,500 Points Medal icon
  • Reached 25,000 Points Medal icon
  • One month a member Medal icon

battlemech7
Sign up to access this!
Sign up to access this!
Sign up to access this!

Game

Sign up to access this!

Category

Stats

Posts
6
Views
3,497
Date Added
9y
bcp.crwdcntrl.net tracking pixel